OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Public Attributes | List of all members
cl::compatibility::make_kernel< Ts > Struct Template Reference

`#include <cl2.hpp>`

## Public Types
typedef KernelFunctor< Ts...> | FunctorType
typedef Event | result_type
| Return type of the functor. More...
typedef Event | type_ (const EnqueueArgs &, Ts...)
| Function signature of kernel functor with no event dependency. More...

## Public Member Functions
| make_kernel (const Program &program, const string name, cl_int *err=NULL)
| make_kernel (const Kernel kernel)
Event | operator() (const EnqueueArgs &enqueueArgs, Ts...args)

## Public Attributes
FunctorType | functor_

## Detailed Description

### template<typename... Ts>
struct cl::compatibility::make_kernel< Ts >

Backward compatibility class to ensure that cl.hpp code works with cl2.hpp. Please use KernelFunctor directly.

## Member Typedef Documentation

template<typename... Ts>

typedef KernelFunctor<Ts...> cl::compatibility::make_kernel< Ts >::FunctorType

template<typename... Ts>

typedef Event cl::compatibility::make_kernel< Ts >::result_type

Return type of the functor.

template<typename... Ts>

typedef Event cl::compatibility::make_kernel< Ts >::type_(const EnqueueArgs &, Ts...)

Function signature of kernel functor with no event dependency.

## Constructor & Destructor Documentation

template<typename... Ts>

cl::compatibility::make_kernel< Ts >::make_kernel | ( | const Program & | program,
|  | const string | name,
|  | cl_int * | err = `NULL`
| ) |  |
| inline

template<typename... Ts>

cl::compatibility::make_kernel< Ts >::make_kernel | ( | const Kernel | kernel | ) |
| inline

## Member Function Documentation

template<typename... Ts>

Event cl::compatibility::make_kernel< Ts >::operator() | ( | const EnqueueArgs & | enqueueArgs,
|  | Ts... | args
| ) |  |
| inline

## Member Data Documentation

template<typename... Ts>

FunctorType cl::compatibility::make_kernel< Ts >::functor_

The documentation for this struct was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp